Start managing an existing Airflow SSH connection
curl --request POST \
--url https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conn_id": "<string>",
"host": "<string>",
"port": 123,
"login": "<string>",
"auth_method": "private_key",
"managed": false,
"conn_type": "ssh",
"key_file": "<string>",
"timeout": 123,
"no_host_key_check": true,
"allow_host_key_change": true,
"compress": true,
"look_for_keys": true,
"description": "<string>",
"private_key_set": false,
"password_set": false
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Infrastructure configuration
Start managing an existing Airflow SSH connection
POST
/
api
/
migration
/
infrastructure-config
/
ssh-connections
/
{conn_id}
/
adopt
Start managing an existing Airflow SSH connection
curl --request POST \
--url https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conn_id": "<string>",
"host": "<string>",
"port": 123,
"login": "<string>",
"auth_method": "private_key",
"managed": false,
"conn_type": "ssh",
"key_file": "<string>",
"timeout": 123,
"no_host_key_check": true,
"allow_host_key_change": true,
"compress": true,
"look_for_keys": true,
"description": "<string>",
"private_key_set": false,
"password_set": false
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Required string length:
1 - 200Pattern:
^[\w.-]+$Response
Successful Response
Available options:
private_key, password, key_file Was this page helpful?

